> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Key



## OpenAPI

````yaml /api-reference/openapi.json post /v1/api-keys
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/api-keys:
    post:
      tags:
        - api-keys
      summary: Create Key
      operationId: create_key_v1_api_keys_post
      parameters:
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyCreated'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApiKeyCreate:
      properties:
        name:
          type: string
          maxLength: 120
          minLength: 2
          title: Name
        scopes:
          items:
            type: string
          type: array
          title: Scopes
        env:
          type: string
          pattern: ^(test|live)$
          title: Env
          default: test
      type: object
      required:
        - name
      title: ApiKeyCreate
    ApiKeyCreated:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        prefix:
          type: string
          title: Prefix
        name:
          type: string
          title: Name
        scopes:
          items:
            type: string
          type: array
          title: Scopes
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
        revoked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Revoked At
        created_at:
          type: string
          format: date-time
          title: Created At
        token:
          type: string
          title: Token
      type: object
      required:
        - id
        - org_id
        - prefix
        - name
        - scopes
        - last_used_at
        - revoked_at
        - created_at
        - token
      title: ApiKeyCreated
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````